package com.ruoyi.syzy.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BCustomerXkcxCourseMapper;
import com.ruoyi.syzy.domain.BCustomerXkcxCourse;
import com.ruoyi.syzy.service.IBCustomerXkcxCourseService;

/**
 * 批次收藏Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-18
 */
@Service
public class BCustomerXkcxCourseServiceImpl implements IBCustomerXkcxCourseService 
{
    @Autowired
    private BCustomerXkcxCourseMapper bCustomerXkcxCourseMapper;

    /**
     * 查询批次收藏
     * 
     * @param id 批次收藏ID
     * @return 批次收藏
     */
    @Override
    public BCustomerXkcxCourse selectBCustomerXkcxCourseById(Long id)
    {
        return bCustomerXkcxCourseMapper.selectBCustomerXkcxCourseById(id);
    }

    /**
     * 查询批次收藏列表
     * 
     * @param bCustomerXkcxCourse 批次收藏
     * @return 批次收藏
     */
    @Override
    public List<BCustomerXkcxCourse> selectBCustomerXkcxCourseList(BCustomerXkcxCourse bCustomerXkcxCourse)
    {
        return bCustomerXkcxCourseMapper.selectBCustomerXkcxCourseList(bCustomerXkcxCourse);
    }

    /**
     * 新增批次收藏
     * 
     * @param bCustomerXkcxCourse 批次收藏
     * @return 结果
     */
    @Override
    public int insertBCustomerXkcxCourse(BCustomerXkcxCourse bCustomerXkcxCourse)
    {
        bCustomerXkcxCourse.setCreateTime(DateUtils.getNowDate());
        return bCustomerXkcxCourseMapper.insertBCustomerXkcxCourse(bCustomerXkcxCourse);
    }

    /**
     * 修改批次收藏
     * 
     * @param bCustomerXkcxCourse 批次收藏
     * @return 结果
     */
    @Override
    public int updateBCustomerXkcxCourse(BCustomerXkcxCourse bCustomerXkcxCourse)
    {
        return bCustomerXkcxCourseMapper.updateBCustomerXkcxCourse(bCustomerXkcxCourse);
    }

    /**
     * 批量删除批次收藏
     * 
     * @param ids 需要删除的批次收藏ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerXkcxCourseByIds(Long[] ids)
    {
        return bCustomerXkcxCourseMapper.deleteBCustomerXkcxCourseByIds(ids);
    }

    /**
     * 删除批次收藏信息
     * 
     * @param id 批次收藏ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerXkcxCourseById(Long id)
    {
        return bCustomerXkcxCourseMapper.deleteBCustomerXkcxCourseById(id);
    }
}
